From fd41c203324d0399901971f6c98c929d48310996 Mon Sep 17 00:00:00 2001
From: anar <anar@localhost.localdomain>
Date: Oct 13 2017 12:13:13 +0000
Subject: [PATCH 985/1001] Addressed comments


---

diff --git a/hubs/utils/github.py b/hubs/utils/github.py
index 78880de..5da725a 100644
--- a/hubs/utils/github.py
+++ b/hubs/utils/github.py
@@ -14,10 +14,7 @@ def github_org_is_valid(username):
     tmpl = "https://api.github.com/users/{username}"
     url = tmpl.format(username=username)
     result = requests.get(url)
-    if not result.ok:
-        return False
-    else:
-        return True
+    return result.ok
 
 
 def github_repo_is_valid(username, repo):
@@ -25,10 +22,7 @@ def github_repo_is_valid(username, repo):
     tmpl = "https://api.github.com/repos/{username}/{repo}"
     url = tmpl.format(username=username, repo=repo)
     result = requests.get(url)
-    if not result.ok:
-        return False
-    else:
-        return True
+    return result.ok
 
 
 def github_repos(token, username):
diff --git a/hubs/widgets/base.py b/hubs/widgets/base.py
index eae34cc..bc10b01 100644
--- a/hubs/widgets/base.py
+++ b/hubs/widgets/base.py
@@ -101,8 +101,14 @@ class Widget(object):
 
     def validate_parameters(self, values):
         """
-        Get a dictionary of values associated with corresponding parameters,
-        validate them and return.
+        Validate the parameters of a widget.
+
+        Args:
+            values (dict): dictionary of values associated
+                           with corresponding parameters.
+
+        Returns:
+            dict: validated parameter values.
         """
         config = {}
         for param in self.get_parameters():
diff --git a/hubs/widgets/githubissues/__init__.py b/hubs/widgets/githubissues/__init__.py
index 8334c23..c8c2956 100644
--- a/hubs/widgets/githubissues/__init__.py
+++ b/hubs/widgets/githubissues/__init__.py
@@ -34,15 +34,15 @@ class GitHubIssues(Widget):
             help="The number of tickets to display.",
         )]
 
-    def validate_parameters(self, vals):
+    def validate_parameters(self, values):
         config = {}
         config["org"] = \
-            validators.GithubOrganization(vals["org"])
+            validators.GithubOrganization(values["org"])
         config["repo"] = \
-            validators.GithubRepo('/'.join([vals["org"],
-                                           vals["repo"]]))
+            validators.GithubRepo('/'.join([values["org"],
+                                           values["repo"]]))
         config["display_number"] = \
-            validators.Integer(vals["display_number"])
+            validators.Integer(values["display_number"])
         return config
 
 

